Subject: bug#3208: 23.0.93; Memory full / crash when displaying lots of characters from a large font (like Arial Unicode or Code2000) which is not explicitly selected (on Win32)

From: Kenichi Handa <[email-masked]>
Date: Mon, 22 Jun 2009 21:51:46 +0900

In article <[email-masked]>, Jason Rumney <[email-masked]> writes:

> > By the way, in short, which part of the current code is
> > wrong?  Do you mean that there's a bug, or that the current
> > strategy doesn't work for Windows?

> I haven't found what is actually going wrong here yet. But it looks like 
> the problem is caused by has_char returning -1, then later encode_char 
> returns FONT_INVALID_CODE. The latter does not happen with the gdi 
> backend, because it just keeps the code as unicode, rejecting only 
> characters that are beyond the first and last characters covered by the 
> font.

I think the same thing happens with x font-backend when
iso10646-1 font is requested.  But, it doesn't cause a
problem on GNU/Linux.

I managed to install mingw and msys, and built Emacs with
them.  Then, I started Emacs, set the defualt font to "Arial
Unicode MS", and insert many #x2203 characters.  But, I
can't reproduce the problem.

By the way, I also installed gdb-6.8-mingw-3.tar.bz2.  But,
with "M-x gdb", pp and pr commands doesn't work.  They print
nothing.  They do work when gdb is invoked from command
line.  Do you know what is wrong?

---
Kenichi Handa
[email-masked]